OUTPUT_ARCH(mips)
ENTRY(_start)
SECTIONS
{
 . = 0x00000000;
 . = ALIGN(4);
 .text : {
  __text_start = .;
  *(.text*)
  __text_end = .;
 }
 . = ALIGN(4);
 .rodata : {
  *(SORT_BY_ALIGNMENT(SORT_BY_NAME(.rodata*)))
 }
 . = ALIGN(4);
 .data : {
  *(.data*)
 }
 . = ALIGN(4);
 .sdata : {
  *(.sdata*)
 }
 . = ALIGN(4);
 .u_boot_list : {
  KEEP(*(SORT(.u_boot_list*)));
 }
 . = ALIGN(4);
 __image_copy_end = .;
 __init_end = .;
 .data.reloc : {
  __rel_start = .;
  LONG(0xFFFFFFFF);
  FILL(0);
  . += 0x8000 - 4;
 }
 . = ALIGN(4);
 _end = .;
 .bss __rel_start (OVERLAY) : {
  __bss_start = .;
  *(.sbss.*)
  *(.bss.*)
  *(COMMON)
  . = ALIGN(4);
  __bss_end = .;
 }
 .mdebug.abi32 : {
  KEEP(*(.mdebug.abi32))
 }
 .mdebug.abi64 : {
  KEEP(*(.mdebug.abi64))
 }
 .mdebug : { *(.mdebug) }
 .stab 0 : { *(.stab) }
 .stabstr 0 : { *(.stabstr) }
 .stab.excl 0 : { *(.stab.excl) }
 .stab.exclstr 0 : { *(.stab.exclstr) }
 .stab.index 0 : { *(.stab.index) }
 .stab.indexstr 0 : { *(.stab.indexstr) }
 .comment 0 : { *(.comment) }
 .debug 0 : { *(.debug) }
 .line 0 : { *(.line) }
 .debug_srcinfo 0 : { *(.debug_srcinfo) }
 .debug_sfnames 0 : { *(.debug_sfnames) }
 .debug_aranges 0 : { *(.debug_aranges) }
 .debug_pubnames 0 : { *(.debug_pubnames) }
 .debug_info 0 : {
  *(.debug_info
  .gnu.linkonce.wi.*)
 }
 .debug_abbrev 0 : { *(.debug_abbrev) }
 .debug_line 0 : { *(.debug_line) }
 .debug_frame 0 : { *(.debug_frame) }
 .debug_str 0 : { *(.debug_str) }
 .debug_loc 0 : { *(.debug_loc) }
 .debug_macinfo 0 : { *(.debug_macinfo) }
 .debug_pubtypes 0 : { *(.debug_pubtypes) }
 .debug_ranges 0 : { *(.debug_ranges) }
 .debug_weaknames 0 : { *(.debug_weaknames) }
 .debug_funcnames 0 : { *(.debug_funcnames) }
 .debug_typenames 0 : { *(.debug_typenames) }
 .debug_varnames 0 : { *(.debug_varnames) }
 .debug_gnu_pubnames 0 : { *(.debug_gnu_pubnames) }
 .debug_gnu_pubtypes 0 : { *(.debug_gnu_pubtypes) }
 .debug_types 0 : { *(.debug_types) }
 .debug_macro 0 : { *(.debug_macro) }
 .debug_addr 0 : { *(.debug_addr) }
 /DISCARD/ : {
  *(.MIPS.abiflags)
  *(.MIPS.options)
  *(.options)
  *(.pdr)
  *(.reginfo)
  *(.eh_frame)
 }
}
